[Stable Update] 2018-06-07 - Kernels, Systemd, Pamac, Octopi, Rebuilds

python-pip cannot be updated on my manjaro32 system either. I’ve checked the mirrors, regenerated the list, checked the signatures are all okay. Still no go so skipped the package. @philm I did not install or use pip, it comes preinstalled with manjaro32 xfce. Nothing so far seems broken as a result but if it is safe to remove I’ll do so. I’ve never knowingly needed it.

EDIT - it’s an optional for hplip if you use the scan to PDF function (along with python-reportlab). I don’t as my printer isn’t an MFP so python-pip and python-reportlab are now destined for removal :slight_smile:

1 Like

I don’t know is that the last update but Deepin don’t see my wallpapers folder. I can see only system wallpapers. I don’t remember also how I add that folder. There’s no option in settings panel.

Hello!
First time i am having problems:
Since the last update i installed a lot of python packages via pip but now i get these errors:

error: failed to commit transaction (conflicting files)
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/basecommand.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/baseparser.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/build_env.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/cache.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/cmdoptions.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/compat.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/configuration.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/download.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/exceptions.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/index.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/locations.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/pep425tags.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/resolve.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/status_codes.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/__pycache__/wheel.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/basecommand.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/baseparser.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/build_env.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/cache.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/cmdoptions.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/check.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/completion.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/configuration.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/download.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/freeze.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/hash.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/help.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/install.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/list.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/search.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/show.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/uninstall.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/__pycache__/wheel.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/check.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/completion.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/configuration.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/download.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/freeze.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/hash.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/help.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/install.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/list.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/search.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/show.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/uninstall.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/commands/wheel.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/compat.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/configuration.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/download.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/exceptions.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/index.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/locations.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/models/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/models/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/models/__pycache__/index.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/models/index.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/__pycache__/check.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/__pycache__/freeze.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/__pycache__/prepare.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/check.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/freeze.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/operations/prepare.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/pep425tags.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/__pycache__/req_file.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/__pycache__/req_install.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/__pycache__/req_set.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/__pycache__/req_uninstall.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/req_file.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/req_install.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/req_set.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/req/req_uninstall.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/resolve.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/status_codes.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/appdirs.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/deprecation.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/encoding.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/filesystem.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/glibc.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/hashes.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/logging.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/misc.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/outdated.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/packaging.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/setuptools_build.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/temp_dir.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/typing.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/__pycache__/ui.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/appdirs.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/deprecation.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/encoding.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/filesystem.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/glibc.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/hashes.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/logging.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/misc.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/outdated.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/packaging.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/setuptools_build.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/temp_dir.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/typing.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/utils/ui.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/__init__.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/__pycache__/__init__.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/__pycache__/bazaar.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/__pycache__/git.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/__pycache__/mercurial.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/__pycache__/subversion.cpython-36.pyc exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/bazaar.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/git.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/mercurial.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/vcs/subversion.py exists in filesystem
python-pip: /usr/lib/python3.6/site-packages/pip/_internal/wheel.py exists in filesystem
Errors occurred, no packages were upgraded.

What can i do?

And the answer was given a few posts above

2 Likes

You can downgrade previous version of Linux Kernel. To do that you need Live USB and use chroot to downgrade a package on your Linux which is installed on your PC as a root.

After this update, nothing works for me. I can not start Manjaro and fix errors.
More details here: Manjaro does not start - a total failure

To the people who are having problem with their pip like me, I found this fix in the Arch forums. It fixed my problem, so I guess it’s worth a try in your case.

The unfortunate thing is I did follow the answer given above (the one that said delete said conflicting files) but while it did allow the install to continue, pip just crashes on run. So this is the fix that did the trick for me (run at your own risk, but it did work in my case):

sudo rm -rf /usr/lib/python3.6/site-packages/pip /usr/lib/python3.6/site-packages/pkg_resources
sudo pacman -Syu python-setuptools python-pip

The Arch Forum topic in question is https://bbs.archlinux.org/viewtopic.php?id=237451

I wish you a good day :slight_smile:

3 Likes

All works fine here - thanks to the manjaro - team :grinning:

System:    Host: manjaro64 Kernel: 4.17.0-1-MANJARO x86_64 bits: 64 Desktop: KDE Plasma 5.12.5 
           Distro: Manjaro Linux 17.1.10 Hakoila 
Machine:   Type: Desktop Mobo: MEDIONPC model: MS-7728 v: 2.0 serial: <filter> BIOS: American Megatrends 
           v: E7728MLN.208 date: 08/15/2011 
CPU:       Topology: Quad Core model: Intel Core i7-2600 bits: 64 type: MT MCP L2 cache: 8192 KiB 
           Speed: 1597 MHz min/max: 1600/3800 MHz Core speeds (MHz): 1: 1596 2: 1596 3: 1597 4: 1596 5: 1596 
           6: 1596 7: 1596 8: 1596 
Graphics:  Card-1: NVIDIA GF116 [GeForce GT 545] driver: nvidia v: 390.59 
           Display: x11 server: X.Org 1.19.6 driver: nvidia resolution: 1920x1080~60Hz 
           OpenGL: renderer: GeForce GT 545/PCIe/SSE2 v: 4.6.0 NVIDIA 390.59 
Audio:     Card-1: Intel 6 Series/C200 Series Family High Definition Audio driver: snd_hda_intel 
           Card-2: NVIDIA GF116 High Definition Audio driver: snd_hda_intel 
           Sound Server: ALSA v: k4.17.0-1-MANJARO 
Network:   Card-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet driver: r8168 
           IF: enp4s0 state: up speed: 1000 Mbps duplex: full mac: <filter> 
Drives:    HDD Total Size: 465.77 GiB used: 15.38 GiB (3.3%) 
           ID-1: /dev/sda vendor: Samsung model: SSD 850 EVO 250GB size: 232.89 GiB 
           ID-2: /dev/sdb vendor: Samsung model: SSD 850 EVO 250GB size: 232.89 GiB 
Partition: ID-1: / size: 220.44 GiB used: 15.38 GiB (7.0%) fs: ext4 dev: /dev/sda1 
           ID-2: swap-1 size: 8.80 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/sda2 
Sensors:   System Temperatures: cpu: 37.0 C mobo: N/A gpu: nvidia temp: 45 C 
           Fan Speeds (RPM): N/A gpu: nvidia fan: 26% 
Info:      Processes: 239 Uptime: 2m Memory: 7.77 GiB used: 1.32 GiB (17.0%) Shell: bash inxi: 3.0.10 

regards
caho

There seems to be many reports of unbootable systems with “UUID not found” errors (though the fstab is correct) :

EDIT: Maybe a problem with kernel 4.9 update? @philm

More evidence…

1 Like

Everything went well, I am using Gnome and 4.16. As a few others noted, my total download size was double what it should have been. I forgot to screen shot the logs, but it looked like it downloaded and installed each package twice. Everything worked in the end, but I think there was more downloading/installing than requried for some reason.

skweresp, same issue on the user configured wallpapers, open the image and right click “Set as
Wallpaper” and the image comes up. You’ll lose the log out screen, again right click and use the
listed command.

no issues on KDE - thanks again, team…you’re awesome! :smiley:

1 Like

I am also having python pip issues. I installed pip to install sublime text. Don’t know what to do next. Should I update or not.

Edit.
Ok. I installed after trying orthocube post and it worked.

1 Like

I can see in a glance that only few had issues and nobody any serious one.
Then all these Not Booting issues were on Testing or Stable.
And why an experienced user even ask for help on standard kernel failures or booting?..

Just joking… :grin:

Update pip, nodejs, npm, etc. via pacman instead of using their self-update functions. Before installing packages via the aforementioned managers, search the repos and the AUR . If you don’t find what you’re looking for, create a PKGBUILD and install it that way.

2 Likes

I guess @philm has already been onto this 4.9 kernel breakage

4.9.106-1 MANJARO x64

It hit a bunch of users.

my system didn’t boot after the update using kernel 4.9
So i booted from an older kernel (4.4) which i fortunately still had installed. This worked fine. I then installed newer 4.14 kernel which also works.
If you had similar problems, starting an older kernel may be worth a try.

This was the first issue from updates i had since i use Manjaro (1.5 years) and i hope its the last one. I’m a relatively experienced Linux user, but if this happens to a beginner, he/she will be lost.

HP

If the new grub update hit the stable branch and users recklessly merged the grub.pacnew file with their existing luks-specified grub config, they would indeed be in trouble. I asked this earlier but didn’t get anything.

that’s why i always keep some kernels installed ^^

1 Like

I was also no longer able to boot with the new 4.9 kernel.

Forum kindly sponsored by Bytemark